Can't use Subversion command line client: svn.

原创
2015/10/28 16:15
阅读数 1.9W

使用Intellij IDEA的svn时提示出错:Can't use Subversion command line client: svn.     

当我在使用svn,Checkout一个项目后,然后将其导入到Intellij idea中,出现这样的报错!

经过google后,发现了问题,我的问题是:我安装的TortoiseSVN工具,本身是带有command-line功能的(我没有安装)如图:

,所以报这个错误。如果安装的TortoiseSVN工具,本身是不带有command-line功能的,必须要安装VisualSVN,而且须要单独安装。 

下载地址:http://subversion.apache.org/packages.html 选择需要下载的版本,例如:假设我安装的TortoiseSVN工具,本身是不带有command-line功能的,那么我要下载,由于我在win下开发的所以我要下载的win版本的。如图:

点击蓝色的VisualSVN会进入这样的一个页面如图:

红色区域内就是我们要下载的插件咯。点击Download下载即可,现在最新的版本就是1.9.2的。

1.9.2版本快速下载地址:https://www.visualsvn.com/files/Apache-Subversion-1.9.2.zip

最后解压,将Apache-Subversion-1.9.2\bin\svn.exe的绝对path直接配置到Use command line client 如图所示: 

保存就ok!

展开阅读全文
打赏
1
1 收藏
分享
加载中
nice
2016/05/04 16:02
回复
举报
thanks!
2016/03/05 14:27
回复
举报
谢谢分享0
2015/12/15 10:25
回复
举报
更多评论
打赏
3 评论
1 收藏
1
分享
返回顶部
顶部